<script setup lang="ts">
import { useAuthStore } from "@/stores/auth";
import { ref,computed } from "vue";
import { useDrawerStore } from '@/stores/drawer';
const drawerStore = useDrawerStore();
const authStore = useAuthStore();
const backendURL = import.meta.env.VITE_BACKEND_URL;
// const drawer = ref(true);
// const rail = ref(true);
const userString = localStorage.getItem("user");
const user = userString ? JSON.parse(userString) : null;
const imgAvt = `${backendURL}/users/image/${user.image}`;
const owner = ref(false);
const chef = ref(false);
const cleaning = ref(false);
const receptionist = ref(false); // ต้อนรับ
const waitress = ref(false); // เสิร์ฟ
const manager = ref(false); // ผู้จัดการ
const backend = ref(false);
const cashier = ref(false);
const check = ref(true);
if(user.type == "Owner"){
  owner.value = true;
  chef.value = true;
  cleaning.value = true;
  receptionist.value = true;
  waitress.value = true;
  manager.value = true;
  backend.value = true;
  cashier.value = true;
  // check.value = false;
}
if(user.type == "Chef"){
  chef.value = true;
}
if(user.type == "Cleaning"){
  cleaning.value = true;
}
if(user.type == "Receptionist"){
  receptionist.value = true;
}
if(user.type == "Waitress"){
  waitress.value = true;
}
if(user.type == "Manager"){
  chef.value = true;
  cleaning.value = true;
  receptionist.value = true;
  waitress.value = true;
  manager.value = true;
  backend.value = true;
  cashier.value = true;
}
if(user.type == "Backend"){
  backend.value = true;
}
if(user.type == "Cashier"){
  cashier.value = true;
}
</script>
<template>
  <!-- temporary -->
  <!-- floating -->
  <!-- permanent -->
  <v-navigation-drawer
  style="background-color: #1c6758"
    v-model="drawerStore.drawer"
    @click="drawerStore.showDrawer"
  >
    <v-list-item
      :prepend-avatar="imgAvt"
      nav
    >
      <v-list-item-content>
        <v-list-item-title style="padding-top: 10px;" class="name">{{ user.fname + " " + user.lname }}</v-list-item-title>
        <v-list-item-subtitle style="padding-top: 10px;" class="type">ตำแหน่ง: {{ user .type }}</v-list-item-subtitle>
      </v-list-item-content>
    <!-- <label class="name">{{ name.fname + " " + name.lname }}</label><br>
    <label class="type">ตำแหน่ง: {{ name.type }}</label> -->
      <!-- <template v-slot:append>
        <v-btn
          variant="text"
          icon="mdi-chevron-left"
          @click.stop="rail = !rail"
        ></v-btn>
      </template> -->
    </v-list-item>

    <v-divider></v-divider>

    <v-list density="compact" nav>
      <!-- <v-list-item
        prepend-icon="mdi-home-city"
        title="Home"
        value="home"
        to="/"
      ></v-list-item> -->
      <v-list-item v-if="owner"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-chart-line"
        value="report"
        to="/report"
      >Report</v-list-item>
      <v-list-item v-if="receptionist"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-table-furniture"
        value="table"
        to="/table"
      >Table</v-list-item>
      <v-list-item v-if="receptionist"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-food"
        value="food"
        to="/food"
      >Food</v-list-item>
      <v-list-item v-if="chef"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-chef-hat"
        value="cook"
        to="/cook"
      >Cook</v-list-item>
      <v-list-item v-if="waitress"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-food-fork-drink"
        value="serve"
        to="/serve"
      >Serve</v-list-item>
      <v-list-item v-if="cashier"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-currency-usd"
        value="payment"
        to="/payment"
      >Payment</v-list-item>
      <v-list-item v-if="cleaning"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-broom"
        value="cleaning"
        to="/cleaning"
      >Clean</v-list-item>
      <v-list-item v-if="manager"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-silverware"
        value="menu"
        to="/menu"
      >Menu</v-list-item>
      <v-list-item v-if="owner"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-account-tie"
        value="employee"
        to="/employee"
      >Employee</v-list-item>
      <v-list-item v-if="owner"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-cash-multiple"
        value="salary"
        to="/salary"
      >Salary</v-list-item>
      <v-list-item v-if="backend"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-cube-outline"
        value="stock"
        to="/stock"
      >Stock</v-list-item>
      <v-list-item v-if="owner"
        class="font"
        style="background-color: #d6cda4"
        prepend-icon="mdi-format-list-bulleted-square"
        value="listtable"
        to="/listtable"
      >ListTable</v-list-item>
    </v-list>
    <template v-slot:append>
      <v-list density="compact" nav>
        <v-list-item v-if="check"
        class="font"
        style="background-color: #309cff; color: white; "
        prepend-icon="mdi-playlist-check"
        value="check"
        to="/check"
      >CheckWork</v-list-item>
      </v-list>
      <v-list density="compact" nav>
          <v-list-item
          style="background-color: red; color: white; text-shadow: 2px 1px black;"
        prepend-icon="mdi-logout"
        color="white"
        value="logout"
        @click="authStore.logout"
      ><label class="logout">Logout</label>
    </v-list-item>
    </v-list>
      </template>
  </v-navigation-drawer>
</template>
<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");
.font {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 20px;
  font-weight: bold;
  color: black;
}

.name {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 20px;
  color: white;
  text-shadow: 2px 1px black;
}

.type {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 15px;
  color: white;
  text-shadow: 2px 1px black;
}

.logout {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 20px;
  font-weight: bold;
}
</style>